# PasswordResponseProvider (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.method
Class PasswordResponseProvider

    java.lang.Object
      net.schmizz.sshj.userauth.method.PasswordResponseProvider

All Implemented Interfaces:
  ChallengeResponseProvider

    public class PasswordResponseProvider

extends Object
implements ChallengeResponseProvider

Constructor Summary
`PasswordResponseProvider(PasswordFinder pwdf)`
`PasswordResponseProvider(PasswordFinder pwdf, Collection<String> acceptablePrompts)`

Method Summary
`char[]` `getResponse(String prompt, boolean echo)`
`List<String>` `getSubmethods()`
`void` `init(Resource resource, String name, String instruction)`
`boolean` `shouldRetry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordResponseProvider

    public PasswordResponseProvider(PasswordFinder pwdf)

### PasswordResponseProvider

    public PasswordResponseProvider(PasswordFinder pwdf,
                                    Collection<String> acceptablePrompts)

Method Detail

### getSubmethods

    public List<String> getSubmethods()

  Specified by:
    `getSubmethods` in interface `ChallengeResponseProvider`

### init

    public void init(Resource resource,
                     String name,
                     String instruction)

  Specified by:
    `init` in interface `ChallengeResponseProvider`

### getResponse

    public char[] getResponse(String prompt,
                              boolean echo)

  Specified by:
    `getResponse` in interface `ChallengeResponseProvider`

### shouldRetry

    public boolean shouldRetry()

  Specified by:
    `shouldRetry` in interface `ChallengeResponseProvider`

Copyright © 2009-2011. All Rights Reserved.